PowerShell 3.0 – O todo poderoso

Olá pessoal,

desde o lançamento do Windows 7 e Windows Server 2008 R2, o Windows PowerShell está incluído no sistema operacional e ativado por padrão. O que significa que você pode experimentar o PowerShell 3.0 em computadores que executam o Windows 7 e Windows Server 2008 R2.

A versão atual do Windows Management Framework inclui o Windows PowerShell 2.0, Windows Remote Management (WinRM) 2.0 e Background Intelligent Transfer Service (BITS) 4.0, enquanto o novo Windows Management Framework contém o Windows PowerShell 3.0, Windows Management Instrumentation (WMI) e Windows Gerenciamento Remoto.

A Microsoft adicionou algumas novas funcionalidades do PowerShell 3.0, incluindo uma melhoria na forma como os fluxos de trabalho podem ser usados para gerenciar tarefas, também acrescenta “Robust Sessions” para apoiar na recuperação de interrupções de rede. Os usuários podem delegar as suas credenciais para outros usuários para executar tarefas críticas através de uma nova “Delegated Administration”. Uma nova “cmdlet discovery” recurso que ajuda os usuários a localizar e executar scripts. O “Show Command” irá exibir os parâmetros de um cmdlet através de uma caixa de diálogo com base em formulários. Trabalhos agendados agora pode executar com base em eventos. A Microsoft também adaptou uma “linguagem natural” onde, existe uma facilidade a mais para criar seus scripts.

Algumas das novas funcionalidades são:

  • Workflows que executam atividades de longa duração (em seqüência ou em paralelo) para executar tarefas complexas e de maior dimensão na gestão, tais como provisionamento de aplicativos multimáquinas. Usando o Windows Workflow Foundation na linha de comando, fluxos de trabalho do Windows PowerShell são paralelizáveis, repetitivos, interruptível e recuperável.
  • Robust Session  que automaticamente recupera de falhas de rede e interrupções, e permitir que você se desconecte da sessão, desligar o computador, e reconecte a partir de um computador diferente, sem interromper a tarefa.
  • Agendamento de tarefas que são executadas regularmente ou em resposta a um evento.
  • Os comandos que podem ser executados com um conjunto de credenciais delegada, para que os usuários com permissões limitadas podem executar tarefas críticas.
  • Sintaxe de linguagem simplificada que fazem os comandos e scripts serem facilmente construídos.
  • Melhoria na descoberta de cmdlet e carregamento de módulos automática, que tornam mais fácil encontrar e executar qualquer um dos cmdlets instalados em seu computador.
  • IntelliSense sensível ao contexto de conclusão de comando para cmdlets e scripts, nomes de parâmetros e valores enumerados, e de propriedade e nomes de métodos.
  • Trechos de adicionar texto reutilizável para scripts e comandos. Os trechos internos incluem modelos de funções, parâmetros, declarações para que os usuários não tem que se lembrar a sintaxe.

Intellisense é um método fantástico à experiência do PowerShell ISE. É especialmente útil para a descoberta de objetos: Se você precisa explorar um objeto, você só precisa criar uma instância desse objeto e pressionar F5, a partir de então, Intellisense vai mostrando todos os métodos e propriedades disponíveis para esse objeto, sub-propriedades e métodos também são retornados pelo uso adicional do operador ponto.

Para efetuar o download da nova versão clique AQUI.

Espero que gostem e trabalhem muito com o PowerShell. Ele pode simplificar a sua vida e reduzir a quantidade de trabalhos excessivos em sua administração diária.

Grande abraço!

Anúncios

Publicado em abril 29, 2012, em PowerShell. Adicione o link aos favoritos. 4 Comentários.

  1. Tentei instalar e não funcionou.
    MSG DE ERRO A atualização não pode ser aplicada ao seu computador nos 2 arquivos:
    WINDOWS6.1-KB2506143-x64.msu
    WINDOWS6.1-KB2506143-x86.msu
    Sabe pq do erro? tenho w2k8r2 64
    Abs do sul

  2. SIM, estou…….já tentei em 2 pc’s e aparece o mesmo erro.

  3. Rafael, não sei como está sua configuração do Windows 7, mas existem alguns pré-requisitos que devem ser atendidos:
    1- O seu sistema operacional deve esta em Inglês, caso você esteja utilizando em Português será necessário baixar o pacote de Inglês.
    2- Verifique se existe a versão anterior do seu powershell
    3- Verifique qual a versão do .Net Framework instalada no seu desktop.

    Qualquer dúvida poste novamente para te ajudar.
    Grande abraço

Deixe seu Comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair / Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair / Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair / Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair / Alterar )

Conectando a %s

%d blogueiros gostam disto: